## Typing stubs for aiofiles

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`aiofiles`](https://github.com/Tinche/aiofiles) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `aiofiles`. This version of
`types-aiofiles` aims to provide accurate annotations for
`aiofiles==24.1.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/aiofiles`](https://github.com/python/typeshed/tree/main/stubs/aiofiles)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.400,
and pytype 2024.10.11.
It was generated from typeshed commit
[`126768408a69b7a3a09b7d3992970b289f92937e`](https://github.com/python/typeshed/commit/126768408a69b7a3a09b7d3992970b289f92937e).